cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
New Member
New Member

WorkCentre 6015 not compatible with MacOS 10.15 Catalina

Product Name: WorkCentre 7835
Operating System: macOS 10.15 Catalina

I will update my MacOS 10.15 Catalina two days back, after updating printer is not supportingScreen Shot 2019-11-26 at 7.55.35 AM.pngScreen Shot 2019-11-26 at 7.55.49 AM.pngScreen Shot 2019-11-11 at 8.53.53 AM.pngScreen Shot 2019-11-11 at 8.58.46 AM.png

0 Kudos
2 Replies
Highlighted
Community Manager
Community Manager

Re: WorkCentre 6015 not compatible with MacOS 10.15 Catalina

Hello Rajesh,

As you can see from our Compatibility Matrix Xerox will not be releasing Catalina drivers for the WC 6015. However, you can still add the printer on macOS using the built-in “Generic Postscript PPD”.

If Xerox driver features are really needed, you could try an unsupported work-around in which you install the Xerox macOS Common Print Driver from a closely related product which is supported on Catalina.  Note that there may be incompatibilities that could cause not all feature/function to work properly

For the 7835, here is where you can download the Catalina driver. 

Thanks,
CathyO-Xerox
Community Manager

Be sure to click Kudos for those who have helped you.
Select Accept as Solution for posts that have helped to solve your issue(s)!
Highlighted
Valued Advisor
Valued Advisor

Re: WorkCentre 6015 not compatible with MacOS 10.15 Catalina

Why are you using a 7835 driver on a 6015?

Please be sure to select "Accept Solution" and or select the thumbs up icon to enter Kudos for posts that resolve your issues. Your feedback counts!

Joe Arseneau
0 Kudos